nfsiostat(8)

NOM
nfsiostat - Imiter iostat pour les points de montage NFS en utilisant /proc/self/mountstats

SYNOPSIS
nfsiostat [[intervalle] [décompte]] [options] [point_de_montage]

DESCRIPTION
La commande nfsiostat affiche des statistiques concernant l'activité du client NFS selon le point de montage.

intervalle
    Indiquer le délai en seconde entre deux rapports. Le premier rapport contient les statistiques calculées sur le temps passé depuis le montage de tous les systèmes de fichiers. Tous les rapports suivants portent sur l'intervalle entre les rapports.

décompte
    Si le paramètre décompte est fourni, la valeur de décompte détermine le nombre de rapports générés pour intervalle secondes. Si le paramètre intervalle est fourni sans le paramètre décompte, la commande affiche des rapports en continu.

options
    Définies ci-dessous.

point_de_montage
    Si un ou plusieurs noms de point_de_montage sont indiqués, les statistiques affichées porteront uniquement sur ces points de montage. Sinon, tous les points de montage NFS du client sont concernés.

La signification de chaque colonne de la sortie de nfsiostat est la suivante :
    – op/s
        Nombre d’opérations par seconde.
    – rpc bklog
        Taille de la file de connexions en attente.
    – kB/s
        Nombre de ko écrits et lus par seconde.
    – kB/op
        Nombre de ko écrits et lus par chaque opération.
    – retrans
        Nombre de retransmissions.
    – avg RTT (ms)
        Durée entre le moment où le noyau du client envoie la requête RPC et celui où il reçoit la réponse.
    – avg exe (ms)
        Durée entre le moment où le client NFS fait une requête RPC à son noyau et celui où la requête est terminée, la durée RTT étant incluse.

Remarquez que si un intervalle est utilisé comme argument pour nfsiostat, alors la différence avec le précédent intervalle sera affichée, sinon le résultat sera calculé à partir du moment où le partage a été monté.

OPTIONS

-a, --attr
    Afficher les statistiques liées au cache des attributs.

-d, --dir
    Afficher les statistiques liées aux opérations sur les répertoires.

-h, --help
    Afficher un message d'aide et terminer.

-l liste, --list=liste
    Afficher uniquement les données pour les premiers points de montage de liste.

-p, --page
    Afficher les données liées au cache de la page.

-s, --sort
    Trier les points de montage NFS par opérations/seconde.

--version
    Afficher la version du programme et terminer.

FICHIERS

/proc/self/mountstats

VOIR AUSSI
iostat(8), mountstats(8), nfsstat(8)

AUTEUR
Chuck Lever <chuck.lever@oracle.com>

TRADUCTION
La traduction française de cette page de manuel a été créée par Valéry Perrin <valery.perrin.debian@free.fr>, Sylvain Cherrier <sylvain.cherrier@free.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Dominique Simen <dominiquesimen@hotmail.com>, Nicolas Sauzède <nsauzede@free.fr>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Denis Mugnier <myou72@orange.fr>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.